<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\GlindeVhs;

class HonorarGlindeVhsPresenter extends \Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\HonorarPresenter
{
  protected function getExtraHtml()
  {
    return $this->getVertragsdruck();
  }
  
  private function getVertragsdruck()
  {
    $viewModel = new VertragsDruckViewModel();
    $viewModel->vertragsDruckAllowed = $this->useCaseResponse->vertragsDruckAllowed;
    $viewModel->knr = $this->useCaseResponse->kurs->id;
    
    $view = new VertragsDruckView($viewModel);
    
    $result = '';
    $result .= $view->getHeader();
    $result .= $view->getBody();
    $result .= $view->getFooter();
    
    return $result;
  }
}